package wordcount;

import java.util.Map;

import org.apache.storm.task.OutputCollector;
import org.apache.storm.task.TopologyContext;
import org.apache.storm.topology.OutputFieldsDeclarer;
import org.apache.storm.topology.base.BaseRichBolt;
import org.apache.storm.tuple.Fields;
import org.apache.storm.tuple.Tuple;
import org.apache.storm.tuple.Values;

public class SplitSentenceBolt extends BaseRichBolt{
	
	private static final long serialVersionUID = 1L;
	OutputCollector collector;
	//÷ֻᱻһΣʼ
	public void prepare(Map stormConf,TopologyContext context,OutputCollector collector) {
		this.collector=collector;
	}
	
	/*
	 * ܵĲRandomSentenceSpoutľӣinputǾexecuteиγɵĵʷ
	 */
	 public void execute(Tuple input) {
	    	String sentence=input.getString(0);
	    	String[] words=sentence.split(" ");
	    	for(String word:words) {
	    			collector.emit(new Values(word,1));
	    	}
	    }
	    //ϢԴԷϢstreamϢΪ͵
		public void declareOutputFields(OutputFieldsDeclarer declarer) {
			declarer.declare(new Fields("word","num"));
		}
}
