package wordcount;

import java.util.HashMap;
import java.util.Map;

import org.apache.storm.task.OutputCollector;
import org.apache.storm.task.TopologyContext;
import org.apache.storm.topology.OutputFieldsDeclarer;
import org.apache.storm.topology.base.BaseRichBolt;
import org.apache.storm.tuple.Tuple;

public class WordCountBolt extends BaseRichBolt{
	private static final long serialVersionUID=765657677676642L;
	//Ľkey=ʣvalue=ʸ
	private Map<String,Integer> counters=new HashMap<String,Integer>();
	OutputCollector collector;
	
	//÷ֻᱻһΣʼ
	public void prepare(Map stormConf,TopologyContext context,OutputCollector collector) {
		this.collector=collector;
	}
	
	public void declareOutputFields(OutputFieldsDeclarer declarer) {
		//
	}
	/*
	 * collectorеԪشڳԱcounters(Map)У
	 * counters(Map)ѾڸԪأgetValueValueۼӲ
	 */
	public void execute(Tuple input) {
		String str=input.getString(0);
		Integer num=input.getInteger(1);
		input.getFields();
		if(!counters.containsKey(str)) {
			counters.put(str,num);
		}else {
			Integer c=counters.get(str)+num;
			counters.put(str,c);
		}
		System.out.println(str+" "+counters.get(str));
	}
}
